- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionComboBox Class Reference

Search for all occurrences

## Detailed Description

Definition at line 796 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionComboBox:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_ComboBox }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionComboBox ()
| QStyleOptionComboBox (const QStyleOptionComboBox &other)
## Public Attributes
bool | editable
QRect | popupRect
bool | frame
QString | currentText
QIcon | currentIcon
QSize | iconSize
## Protected Member Functions
| QStyleOptionComboBox (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 799 of file qstyleoption.h.

    { Type = SO_ComboBox };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 800 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionComboBox | ( |  | ) |

QStyleOptionComboBox | ( | const QStyleOptionComboBox & | other | ) | `[inline]`

Definition at line 810 of file qstyleoption.h.

    : QStyleOptionComplex(Version, Type) { *this = other; }

QStyleOptionComboBox | ( | int | version | ) | `[protected]`

## Member Data Documentation

bool editable

Search for all occurrences

Definition at line 802 of file qstyleoption.h.

QRect popupRect

Search for all occurrences

Definition at line 803 of file qstyleoption.h.

bool frame

Search for all occurrences

Definition at line 804 of file qstyleoption.h.

QString currentText

Search for all occurrences

Definition at line 805 of file qstyleoption.h.

QIcon currentIcon

Search for all occurrences

Definition at line 806 of file qstyleoption.h.

QSize iconSize

Search for all occurrences

Definition at line 807 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox
QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox QStyleOptionComboBox